Skip to main content
GET
/
v2
/
lists
/
{list}
/
views
List views for list
curl --request GET \
  --url https://api.attio.com/v2/lists/{list}/views \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": {
        "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
        "list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
        "view_id": "cf7aaeb5-7507-4a84-9c26-9d36e34d7b70"
      },
      "title": "All people",
      "created_at": "2022-11-21T13:22:49.061281000Z"
    }
  ],
  "pagination": {
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

list
string
required

A UUID or slug to identify the list.

Example:

"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"

Query Parameters

show_archived
boolean
default:false

true to include archived views. See our archiving guide for more information on archiving.

Example:

false

limit
integer
default:500

The maximum number of views to return. Must be between 1 and 1000. Defaults to 500.

Required range: 1 <= x <= 1000
Example:

500

cursor
string

A pagination cursor from a previous response's pagination.next_cursor. Omit for the first page.

Example:

"eyJkZXNjcmlwdGlvbiI6ICJ0aGlzIGlzIGEgY3Vyc29yIn0=.eM56CGbqZ6G1NHiJchTIkH4vKDr"

Response

Success

Success

data
object[]
required
pagination
object
required